Debian Bug report logs - #429467
ITA: datefudge -- Fake the system date

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Mohammed Adnène Trojette <adn+deb@diwi.org>

Date: Mon, 18 Jun 2007 11:06:30 UTC

Owned by: Robert Luberda <robert@debian.org>

Severity: normal

Fixed in version datefudge/1.14

Done: Robert Luberda <robert@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Matthias Urlichs <smurf@debian.org>, <wnpp@debian.org>:
Bug#429467; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Mohammed Adnène Trojette <adn+deb@diwi.org>:
New Bug report received and forwarded. Copy sent to Matthias Urlichs <smurf@debian.org>, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mohammed Adnène Trojette <adn+deb@diwi.org>
To: submit@bugs.debian.org
Subject: O: datefudge -- Fake the system date
Date: Mon, 18 Jun 2007 11:57:05 +0200
Package: wnpp
Severity: normal

The current maintainer of datefudge, Matthias Urlichs <smurf@debian.org>,
has orphaned this package.

Maintaining a package requires time and skills. Please only adopt this
package if you are *sure* you will have enough time and attention to
work on it.

If you want to be the new maintainer, please see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: datefudge
Binary: datefudge
Version: 1.12
Priority: optional
Section: devel
Maintainer: Matthias Urlichs <smurf@debian.org>
Architecture: any
Standards-Version: 3.6.1
Format: 1.0
Directory: pool/main/d/datefudge
Files:
 bae64f87c9c56ff154ea7e1236430719 460 datefudge_1.12.dsc
 4e5f78cad9003f40408543d1e8e065eb 11275 datefudge_1.12.tar.gz

Package: datefudge
Priority: optional
Section: devel
Installed-Size: 34
Maintainer: Matthias Urlichs <smurf@debian.org>
Architecture: i386
Version: 1.12
Depends: libc6 (>= 2.3.2-1)
Filename: pool/main/d/datefudge/datefudge_1.12_i386.deb
Size: 6194
MD5sum: 34372247322c63cc1b5eb3b0c18da548
SHA1: d2fa835b9da541b2034fd4f5e672326fbadcd376
SHA256: 6aaf41c26ffd91f8803584e88da97e3b48c2eb31cfa51292f1695f61a5ead551
Description: Fake the system date
 This program (and preload library) fakes the system date so that
 programs think the wall clock is ... different.
 .
 The faking is not complete; timestamp on files are not affected in any
 way.
 .
 This package is useful if you want to test the date handling of your
 programs without changing the system clock. Examples: Does it handle
 expired certificates correctly? Does it work on a leap day?
Tag: devel::testing-qa, implemented-in::c, interface::commandline, role::program, role::shared-lib, scope::utility, use::timekeeping

-- 
Mohammed Adnène Trojette



Owner recorded as Robert Luberda <robert@debian.org>. Request was from Robert Luberda <robert@debian.org> to control@bugs.debian.org. (Tue, 06 May 2008 20:19:08 GMT) Full text and rfc822 format available.

Changed Bug title to `ITA: datefudge -- Fake the system date' from `O: datefudge -- Fake the system date'. Request was from Robert Luberda <robert@debian.org> to control@bugs.debian.org. (Tue, 06 May 2008 20:19:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Robert Luberda <robert@debian.org>:
Bug#429467; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matthias Urlichs <smurf@smurf.noris.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Robert Luberda <robert@debian.org>. Full text and rfc822 format available.

Message #14 received at 429467@bugs.debian.org (full text, mbox):

From: Matthias Urlichs <smurf@smurf.noris.de>
To: 429467@bugs.debian.org
Subject: Go for it
Date: Wed, 7 May 2008 10:18:24 +0200
Feel free to take it.

-- 
Matthias Urlichs   |   {M:U} IT Design @ m-u-it.de   |  smurf@smurf.noris.de
Disclaimer: The quote was selected randomly. Really. | http://smurf.noris.de
 - -
"Had this author [Sir W. Drummond, Academical Questions, chap. iii.],
 instead of inveighing against the guilt and absurdity of atheism,
 demonstrated its falsehood, his conduct would have, been more suited
 to the modesty of the skeptic and the toleration of the philosopher."
       [Percy Byssche Shelley, "The Necessity of Atheism"]




Reply sent to Robert Luberda <robert@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Mohammed Adnène Trojette <adn+deb@diwi.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 429467-close@bugs.debian.org (full text, mbox):

From: Robert Luberda <robert@debian.org>
To: 429467-close@bugs.debian.org
Subject: Bug#429467: fixed in datefudge 1.14
Date: Sat, 10 May 2008 07:02:02 +0000
Source: datefudge
Source-Version: 1.14

We believe that the bug you reported is fixed in the latest version of
datefudge, which is due to be installed in the Debian FTP archive:

datefudge_1.14.dsc
  to pool/main/d/datefudge/datefudge_1.14.dsc
datefudge_1.14.tar.gz
  to pool/main/d/datefudge/datefudge_1.14.tar.gz
datefudge_1.14_i386.deb
  to pool/main/d/datefudge/datefudge_1.14_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 429467@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Luberda <robert@debian.org> (supplier of updated datefudge package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 10 May 2008 08:21:02 +0200
Source: datefudge
Binary: datefudge
Architecture: source i386
Version: 1.14
Distribution: unstable
Urgency: low
Maintainer: Robert Luberda <robert@debian.org>
Changed-By: Robert Luberda <robert@debian.org>
Description: 
 datefudge  - Fake the system date
Closes: 416175 429467
Changes: 
 datefudge (1.14) unstable; urgency=low
 .
   * New maintainer (closes: #429467).
   * Standards-Version: 3.7.3 (no changes).
   * Use debhelper v7 and its minimised rules file.
   * datefudge.c: override clock_gettime(2) called with CLOCK_REALTIME
     argument to make it possible to fake `date' command (closes: #416175).
   * Update man page, add a simple example.
Checksums-Sha1: 
 21c5cd09178c47e5e8c2485e806c19088afc6570 691 datefudge_1.14.dsc
 1119660220729edf0cb2dc560664cf37ae42198f 11174 datefudge_1.14.tar.gz
 37136e71ec08591c2f21e277b2f504aefa1e77ec 6744 datefudge_1.14_i386.deb
Checksums-Sha256: 
 161ebd9479f909958ec02d1c9992c65493dd113c1b26a3bcbe8c2a52c07a8576 691 datefudge_1.14.dsc
 9c666b7b4b77258c48530f804c18d86e859e6437f80a3819a6713e942cb19267 11174 datefudge_1.14.tar.gz
 4d50a132011ab2865f4d43d9dbb6019b9bbb610c0a57328ba90b8505af7be8e5 6744 datefudge_1.14_i386.deb
Files: 
 a9da2dd7e2191485726d4022c3957c11 691 devel optional datefudge_1.14.dsc
 44b20ffb51533211cc7cf7db0640ad06 11174 devel optional datefudge_1.14.tar.gz
 fa9e17b0d72fd6e298d2236955ae39c7 6744 devel optional datefudge_1.14_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIJT+dThh1cJ0wnDsRAsKhAJ46sWsBMBtOZHeA5Tx2aZvLgrQdOwCfS/YF
PWXkaTztqkY2dfXyBfSmRuU=
=lsqG
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Aug 2008 09:06:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:27:27 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.